Bug 1459431 - Add pos_file parameter to the in_tail plugin for engine.log records
Add pos_file parameter to the in_tail plugin for engine.log records
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine-metrics
Classification: oVirt
Component: Generic (Show other bugs)
1.0.3
Unspecified Unspecified
unspecified Severity medium
: ovirt-4.1.4
: 1.0.5
Assigned To: Shirly Radco
Lukas Svaty
:
Depends On:
Blocks: oVirt-Metrics-and-Logs 1468892
  Show dependency treegraph
 
Reported: 2017-06-07 03:01 EDT by Shirly Radco
Modified: 2017-07-28 10:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-28 10:14:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Metrics
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.1+
lsvaty: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 77906 master MERGED fluentd: add pos_file to engine.log 2017-07-06 03:46 EDT

  None (edit)
Description Shirly Radco 2017-06-07 03:01:12 EDT
Description of problem:
in_tail plugin that tails the engine.log records requires additional parameter, pos_file. Fluentd will record the position it last read into the file in the specified path.

Version-Release number of selected component (if applicable):
1.0.3

How reproducible:
100%

Steps to Reproduce:
1. Setup openshift+logging
2. Install engine and deploy the metrics ansible script
3. Check the file exists at /var/log/fluentd/ovirt-engine.log.pos
Comment 1 Lukas Svaty 2017-07-18 12:21:42 EDT
[root@ls-engine1 ~]# cat /var/lib/ovirt-fluentd/pos-files/ovirt-engine.log.pos
/var/log/ovirt-engine/engine.log	00000000008036cd	000000000129dbf6

verified in ovirt-engine-metrics-1.0.5-1.el7ev.noarch

Note You need to log in before you can comment on or make changes to this bug.